Name: H5Tget_precision
Signature:
  size_t `H5Tget_precision`(hid_t `type_id` )
Purpose:
  Returns the precision of an atomic datatype.
Description:
  `H5Tget_precision` returns the precision of an atomic datatype. The precision is the number of significant bits which, unless padding is present, is 8 times larger than the value returned by `H5Tget_size`.
Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns the number of significant bits if successful; otherwise 0.
Fortran90 Interface: h5tget_precision_f

      SUBROUTINE h5tget_precision_f(type_id, precision, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: precision     ! Datatype precision
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tget_precision_f